var
	i, j, n: longint;
	a: array [1..200, 1..200] of longint;
begin
	randseed := 16927340;

	n := 50;
	for i := 1 to n do begin
		for j := 1 to n do begin
			a[i][j] := 0;
		end;
		a[i][random(n) + 1] := 1;
	end;

	writeln(n);
	for i := 1 to n do begin
		for j := 1 to n do begin
			write(a[i][j]);
		end;
		writeln;
	end;
end.